Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TCTE

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TCTE

All Implemented Interfaces:
  Visitable

    public class TCTE

extends TParseTreeNode

A common table expression permits defining a result table with a table-name that can be specified as a table name in any FROM clause of the fullselect that follows.

Multiple common table expressions can be specified following the single WITH keyword.

Each common table expression specified can also be referenced by name in the FROM clause of subsequent common table expressions.

Syntax:

>      table-name [column-name [,...n]] AS (fullselect)

Constructor Summary
`TCTE()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TObjectNameList` | `getColumnList()`
`TDeleteSqlStatement` | `getDeleteStmt()`
`TInsertSqlStatement` | `getInsertStmt()`
`TCustomSqlStatement` | `getPreparableStmt()` preparable statement can be:
`TSelectSqlStatement` | `getSubquery()` fullselect of this common table expression.
`TObjectName` | `getTableName()`
`TUpdateSqlStatement` | `getUpdateStmt()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setColumnList(TObjectNameList columnList)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TCTE

    public TCTE()

Method Detail

### getPreparableStmt

    public TCustomSqlStatement getPreparableStmt()

  preparable statement can be:

  `getSubquery()`

  or`getUpdateStmt()`

  or`getInsertStmt()`

  or`getDeleteStmt()`

  Returns:

### getUpdateStmt

    public TUpdateSqlStatement getUpdateStmt()

### getInsertStmt

    public TInsertSqlStatement getInsertStmt()

### getDeleteStmt

    public TDeleteSqlStatement getDeleteStmt()

### getTableName

    public TObjectName getTableName()

  Returns:
    table name of this common table expression.

### setColumnList

    public void setColumnList(TObjectNameList columnList)

### getSubquery

    public TSelectSqlStatement getSubquery()

  fullselect of this common table expression.

  Returns:

### getColumnList

    public TObjectNameList getColumnList()

  Returns:
    List of column name of this common table expression.

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD